package com.ssj.service.conch.teacher.app.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author yrf
 * @date 2019/6/6 15:07
 */
public class PasswordLoginReq extends BaseRequest {

    private static final long serialVersionUID = 1626806454966566407L;

    @ApiModelProperty(name = "phone", value = "手机号", required = true)
    @NotBlank
    private String phone;

    @ApiModelProperty(name = "password", value = "密码", required = true)
    @NotBlank
    private String password;

    @ApiModelProperty(name = "alias", value = "腾讯信鸽token", required = true)
    private String alias;

    @ApiModelProperty(name = "openid", value = "platform", required = true)
    private String platform;

   

    public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }
}
